Copyright © tutorialspoint.com

# ASP.NET - Basic Controls

In this section, we will discuss the basic controls available in ASP.NET

# Button Controls:

ASP .Net provides three types of button controls: buttons, link buttons and image buttons. As the names suggest a button displays text within a rectangular area, a link button displays text that looks like a hyperlink. And an Image Button displays an image.

When a user clicks a button control, two events are raised Click and Command.

Basic syntax for button controls:

    <asp:Button ID="Button1" runat="server"
                onclick="Button1_Click" Text="Click" />

Common Properties of the Button control:

Property | Description
--- | ---
Text | The text displayed by the button. This is for button and link button controls only.
ImageUrl | For image button control only. The image to be displayed for the button.
AlternateText | For image button control only. The text to be displayed if the browser can't display the image.
CausesValidation | Determines whether page validation occurs when a user clicks the button. The default is true.
CommandName | A string value that's passed to the Command event when a user clicks the button.
CommandArgument | A string value that's passed to the Command event when a user clicks the button.
PostBackUrl | The URL of the page that should be requested when the user clicks the button.

# Text Boxes and Labels:

Text box controls are typically used to accept input from the user. A text box control can accept one or more lines to text depending upon the setting of the TextMode attribute.

Label controls provide an easy way to display text which can be changed from one execution of a page to the next. If you want to display a text that does not change, you use the literal text.

Basic syntax for text controls:

    <asp:TextBox ID="txtstate" runat="server" ></asp:TextBox

Common Properties of the Text Box and Labels:

Property | Description
--- | ---
TextMode | Specifies the type of text box. SingleLine creates a standard text box, MultiLIne creates a text box that accepts more than one line of text and the Password causes the characters that are entered to be masked. The default is SingleLine.
Text | The text content of the text box
MaxLength | The maximum number of characters that can be entered into the text box.
Wrap | It determines whether or not text wraps automatically for multi-line text box; default is true.
ReadOnly | Determines whether the user can change the text in the box; default is false, i.e., the user can change the text.
Columns | The width of the text box in characters. The actual width is determined based on the font that's used for the text entry
Rows | The height of a multi-line text box in lines. The default value is 0, means a single line text box.

The mostly used attribute for a label control is 'Text', which implies the text displayed on the label.

# Check Boxes and Radio Buttons:

A check box displays a single option that the user can either check or uncheck and radio buttons present a group of options from which the user can select just one option.

To create a group of radio buttons, you specify the same name for the GroupName attribute of each radio button in the group. If more than one group is required in a single form specify a different group name for each group.

If you want a check box or radio button to be selected when it's initially displayed, set its Checked attribute to true. If the Checked attribute is set for more than one radio button in a group, then only the last one will be selected.

Basic syntax for check box:

    <asp:CheckBox ID= "chkoption" runat= "Server">
    </asp:CheckBox>

Basic syntax for radio button:

    <asp:RadioButton ID= "rdboption" runat= "Server">
    </asp: RadioButton>

Common Properties of the Check Boxes and Radio Buttons:

Property | Description
--- | ---
Text | The text displayed next to the check box or radio button.
Checked | Specifies whether it is selected or not, default is false.
GroupName | Name of the group the control belongs to.

# List Controls:

ASP.Net provides the controls: drop-down list, list box, radio button list, check box list and bulleted list. These control let a user choose from one or more items from the list.

List boxes and drop-down list contain one or more list items. These lists could be loaded either by code or by the ListItem Collection Editor.

Basic syntax for list box control:

    <asp:ListBox ID="ListBox1"
          runat="server"
          AutoPostBack="True"
          OnSelectedIndexChanged="ListBox1_SelectedIndexChanged">
    </asp:ListBox>

Basic syntax for a drop-down list control:

    <asp:DropDownList ID="DropDownList1"
         runat="server"
         AutoPostBack="True"
         OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged">
    </asp:DropDownList>

Common Properties of List box and Drop-down Lists:

Property | Description
--- | ---
Items | The collection of ListItem objects that represents the items in the control. This property returns an object of type ListItemCollection.
Rows | Specifies the number of items displayed in the box. If actual list contains more rows than displayed then a scroll bar is added.
SelectedIndex | The index of the currently selected item. If more than one item is selected, then the index of the first selected item. If no item is selected, the value of this property is -1.
SelectedValue | The value of the currently selected item. If more than one item is selected, then the value of the first selected item. If no item is selected, the value of this property is an empty string("").
SelectionMode | Indicates whether a list box allows single selections or multiple selections.

Common Properties of each list item objects:

Property | Description
--- | ---
Text | The text displayed for the item
Selected | Indicates whether the item is selected.
Value | A string value associated with the item.

It is important to notes that:

- To work with the items in a drop-down list or list box, you use the Items property of the control. This property returns a ListItemCollection object which contains all the items of the list.

- The SelectedIndexChanged event is raised when the user selects a different item from a drop-down list or list box.

# The List Item Collections:

The ListItemCollection object is a collection of ListItem objects. Each ListItem object represents one item in the list. Items in a ListItemCollection are numbered from 0.

When the items into a list box are loaded using strings like: lstcolor.Items.Add("Blue") . then both the Text and Value properties of the list item are set to the string value you specify. To set it differently you must create a list item object and then add that item to the collection.

The ListItem Collection Editor is used to add item to a drop-down list or list box. This is used to create a static list of items. To display the Collection Editor select Edit item from the smart tag menu, or select the control and then click the ellipsis button from the Item property in the Properties window.

Common Properties of List Item Collection:

Property | Description
--- | ---
Item(integer) | A ListItem object that represents the item at the specified index.
Count | The number of items in the collection.

Common methods of List Item Collection:

Methods | Description
--- | ---
Add(string) | Adds a new item to the end of the collection and assigns the string parameter to the Text property of the item.
Add(ListItem) | Adds a new item to the end of the collection.
Insert(integer, string) | Inserts an item at the specified index location in the collection, and assigns the string parameter to the Text property of the item.
Insert(integer, ListItem) | Inserts the item at the specified index location in the collection.
Remove(string) | Removes the item with the Text value same as the string.
Remove(ListItem) | Removes the specified item.
RemoveAt(integer) | Removes the item at the specified index as the integer.
Clear | Removes all the items of the collection.
FindByValue(string) | Returns the item whose Value is same as the string.
FindByValue(Text) | Returns the item whose Text is same as the string.

# Radio Button list and Check Box list

A radio button list presents a list of mutually exclusive options. A check box list presents a list of independent options. These controls contain a collection of ListItem objects that could be referred to through the Items property of the control.

Basic syntax for radio button list:

    <asp:RadioButtonList ID="RadioButtonList1"
       runat="server"
       AutoPostBack="True"
       OnSelectedIndexChanged="RadioButtonList1_SelectedIndexChanged">
    </asp:RadioButtonList>

Basic syntax for check box list:

    <asp:CheckBoxList ID="CheckBoxList1"
       runat="server"
       AutoPostBack="True"
       OnSelectedIndexChanged="CheckBoxList1_SelectedIndexChanged">
    </asp:CheckBoxList>

Common Properties of Check Box and Radio Button Lists:

Property | Description
--- | ---
RepeatLayout | This attribute specifies whether the table tags or the normal html flow to use while formatting the list when it is rendered. The default is Table
RepeatDirection | It specifies the direction in which the controls to be repeated. The values available are Horizontal and Vertical. Default is Vertical
RepeatColumns | It specifies the number of columns to use when repeating the controls; default is 0.

# Bulleted lists and Numbered lists:

The bulleted list control creates bulleted lists or numbered lists. These controls contain a collection of ListItem objects that could be referred to through the Items property of the control.

Basic syntax of a bulleted list:

    <asp:BulletedList ID="BulletedList1" runat="server">
    </asp:BulletedList>

Common Properties of the Bulleted List:

Property | Description
--- | ---
BulletStyle | This property specifies the style and looks of the bullets, or numbers.
RepeatDirection | It specifies the direction in which the controls to be repeated. The values available are Horizontal and Vertical. Default is Vertical
RepeatColumns | It specifies the number of columns to use when repeating the controls; default is 0.

# HyperLink Control:

The HyperLink control is like the HTML <a> element.

Basic syntax for a hyperlink control:

    <asp:HyperLink ID="HyperLink1" runat="server">
       HyperLink
    </asp:HyperLink>

It has the following important properties:

Property | Description
--- | ---
ImageUrl | Path of the image to be displayed by the control
NavigateUrl | Target link URL
Text | The text to be displayed as the link
Target | The window or frame which will load the linked page.

# Image Control:

The image control is used for displaying images on the web page, or some alternative text, if the image is not available.

Basic syntax for an image control:

    <asp:Image ID="Image1" runat="server">

It has the following important properties:

Property | Description
--- | ---
AlternateText | Alternate text to be displayed
ImageAlign | Alignment options for the control
ImageUrl | Path of the image to be displayed by the control

In this tutorial, we have covered the basic controls theoretically. In coming topics, we will be using these controls in examples.

Copyright © tutorialspoint.com